package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.ArrayList;
//import java.util.Date;
//import java.util.List;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.index.Indexed;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 考生答案
// *
// * @author tianjun
// *
// */
//@Document(collection = "jk_exam_student_answer_history")
//public class ExamStudentAnswerHistory implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = -3969246279815123877L;
//
//	@Id
//	private String id;
//
//	@Indexed
//	@Field("exam_code")
//	private String examCode;
//
//	@Field("is_abort")
//	private boolean isAbort = false;
//
//	@Field("exam_abort")
//	private List<ExamAbort> examAborts = new ArrayList<ExamAbort>();
//
//	@Field("is_absent")
//	private boolean isAbsent = false;
//
//	@Field("exam_absent")
//	private ExamAbsent examAbsent;
//
//	@Field("is_cheat")
//	private boolean isCheat = false;
//
//	@Field("exam_cheat")
//	private ExamCheat examCheat;
//
//	// 试卷ID
//	@Field("paper_id")
//	private String paperId;
//
//	// 试卷名称
//	@Field("paper_name")
//	private String paperName;
//
//	// 客观题答案
//	@Field("objective_answer")
//	private String objectiveAnswer;
//
//	//答题时间
//	@Field("answer_time")
//	private String answerTime;
//
//	//答题轨迹
//	@Field("answer_path")
//	private String answerPath;
//
//	//解码之后的考生答案数据包
//	@Field("decode_file")
//	private Attachment decodeFile;
//
//	// 登录时间
//	@Field("login_time")
//	private String loginTime;
//
//	/**
//	 * 创建时间
//	 */
//	@Field("time")
//	private Date time;
//
//	//考生
//	@Field("student")
//	private ExamStudent student;
//
//	//原始答案数据包 优特机考  新光机考
//	@Field("original_answer")
//	private Attachment originalAnswer;
//
//	/**
//	 * @return the decodeFile
//	 */
//	public Attachment getDecodeFile() {
//		return decodeFile;
//	}
//
//	/**
//	 * @param decodeFile the decodeFile to set
//	 */
//	public void setDecodeFile(Attachment decodeFile) {
//		this.decodeFile = decodeFile;
//	}
//
//	public String getId() {
//		return id;
//	}
//
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	public String getExamCode() {
//		return examCode;
//	}
//
//	public boolean isAbort() {
//		return isAbort;
//	}
//
//	public void setAbort(boolean isAbort) {
//		this.isAbort = isAbort;
//	}
//
//	public List<ExamAbort> getExamAborts() {
//		return examAborts;
//	}
//
//	public void setExamAborts(List<ExamAbort> examAborts) {
//		this.examAborts = examAborts;
//	}
//
//	public boolean isAbsent() {
//		return isAbsent;
//	}
//
//	public void setAbsent(boolean isAbsent) {
//		this.isAbsent = isAbsent;
//	}
//
//	public ExamAbsent getExamAbsent() {
//		return examAbsent;
//	}
//
//	public void setExamAbsent(ExamAbsent examAbsent) {
//		this.examAbsent = examAbsent;
//	}
//
//	public boolean isCheat() {
//		return isCheat;
//	}
//
//	public void setCheat(boolean isCheat) {
//		this.isCheat = isCheat;
//	}
//
//	public ExamCheat getExamCheat() {
//		return examCheat;
//	}
//
//	public void setExamCheat(ExamCheat examCheat) {
//		this.examCheat = examCheat;
//	}
//
//	public String getPaperId() {
//		return paperId;
//	}
//
//	public void setPaperId(String paperId) {
//		this.paperId = paperId;
//	}
//
//	public String getPaperName() {
//		return paperName;
//	}
//
//	public void setPaperName(String paperName) {
//		this.paperName = paperName;
//	}
//
//	public String getObjectiveAnswer() {
//		return objectiveAnswer;
//	}
//
//	public void setObjectiveAnswer(String objectiveAnswer) {
//		this.objectiveAnswer = objectiveAnswer;
//	}
//
//	public String getAnswerTime() {
//		return answerTime;
//	}
//
//	public void setAnswerTime(String answerTime) {
//		this.answerTime = answerTime;
//	}
//
//	public String getAnswerPath() {
//		return answerPath;
//	}
//
//	public void setAnswerPath(String answerPath) {
//		this.answerPath = answerPath;
//	}
//
//	public String getLoginTime() {
//		return loginTime;
//	}
//
//	public void setLoginTime(String loginTime) {
//		this.loginTime = loginTime;
//	}
//
//	public Date getTime() {
//		return time;
//	}
//
//	public void setTime(Date time) {
//		this.time = time;
//	}
//
//	public ExamStudent getStudent() {
//		return student;
//	}
//
//	public void setStudent(ExamStudent student) {
//		this.student = student;
//	}
//
//	public Attachment getOriginalAnswer() {
//		return originalAnswer;
//	}
//
//	public void setOriginalAnswer(Attachment originalAnswer) {
//		this.originalAnswer = originalAnswer;
//	}
//
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考生历史答案
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkExamStudentAnswerHistory对象", description="考生历史答案")
@TableName("jk_exam_student_answer_history")
public class ExamStudentAnswerHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "是否异常，0：否，1：是")
    private Boolean isAbort;

    @ApiModelProperty(value = "是否缺考，0：未缺考，1：缺考")
    private Boolean isAbsent;

    @ApiModelProperty(value = "是否作弊，0：未作弊，1：作弊")
    private Boolean isCheat;

    @ApiModelProperty(value = "试卷id")
    private String paperId;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "客观题答案")
    private String objectiveAnswer;

    @ApiModelProperty(value = "答题时间")
    private String answerTime;

    @ApiModelProperty(value = "答题轨迹")
    private String answerPath;

    @ApiModelProperty(value = "附件id，解码之后的考场答案数据包(通用机考、优特机考)或者考生答案数据包(视唱机考)")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long decodeFileId;

    @ApiModelProperty(value = "登录时间")
    private Long loginTime;

    @ApiModelProperty(value = "创建时间")
    private Long time;

    @ApiModelProperty(value = "学生id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty(value = "原始答案数据包附件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long originalAnswerId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public Boolean getAbort() {
        return isAbort;
    }

    public void setAbort(Boolean abort) {
        isAbort = abort;
    }

    public Boolean getAbsent() {
        return isAbsent;
    }

    public void setAbsent(Boolean absent) {
        isAbsent = absent;
    }

    public Boolean getCheat() {
        return isCheat;
    }

    public void setCheat(Boolean cheat) {
        isCheat = cheat;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getObjectiveAnswer() {
        return objectiveAnswer;
    }

    public void setObjectiveAnswer(String objectiveAnswer) {
        this.objectiveAnswer = objectiveAnswer;
    }

    public String getAnswerTime() {
        return answerTime;
    }

    public void setAnswerTime(String answerTime) {
        this.answerTime = answerTime;
    }

    public String getAnswerPath() {
        return answerPath;
    }

    public void setAnswerPath(String answerPath) {
        this.answerPath = answerPath;
    }

    public Long getDecodeFileId() {
        return decodeFileId;
    }

    public void setDecodeFileId(Long decodeFileId) {
        this.decodeFileId = decodeFileId;
    }

    public Long getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(Long loginTime) {
        this.loginTime = loginTime;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getOriginalAnswerId() {
        return originalAnswerId;
    }

    public void setOriginalAnswerId(Long originalAnswerId) {
        this.originalAnswerId = originalAnswerId;
    }
}